Bug 1268751 - [RFE] Central Logging of user activity for openstack resources.
[RFE] Central Logging of user activity for openstack resources.
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs (Show other bugs)
12.0 (Pike)
All Linux
medium Severity medium
: ---
: ---
Assigned To: RHOS Maint
: FutureFeature, Unconfirmed, ZStream
Depends On:
  Show dependency treegraph
Reported: 2015-10-05 03:14 EDT by Pratik Pravin Bandarkar
Modified: 2017-03-21 08:36 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-03-21 08:36:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pratik Pravin Bandarkar 2015-10-05 03:14:40 EDT
1. Proposed title of this feature request  
  Central Logging of user activity for Open Stack resources.

3. What is the nature and description of the request?  
  Currently when a user executes a command either by Horizon UI or via REST API very few actions are logged properly against the user.  Even the logging of the start/stop is only done by libvirt on the hypervisor.

 While you can pull up activity via "nova instance-action-list" and this is very helpful from a forensics point of view. 

For detailed auditing and monitoring of actions interactive executing commands will not be used, but instead, log files stream sent to a central monitoring/logging/audit faqcility.  The primary issue is security analytics is done using LOG data and very little of OS user activity is properly and accurately logged to the various log files.
Comment 13 Martin Magr 2017-01-20 05:07:45 EST
Related Horizon BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1218693
Comment 15 Aviv Guetta 2017-03-21 08:36:41 EDT
Per discussion with the customer (Yves), we decided to close the case, as it's addressed in next releases.



Note You need to log in before you can comment on or make changes to this bug.